import { ChangeDetectorRef } from "@angular/core";
import { TodoDto } from "@smallstack/axios-api-client";
import { ConfigurationStore } from "@smallstack/common-components";
import { TodoBillingPrice, TodoBillingService } from "@smallstack/todo-shared";
import * as i0 from "@angular/core";
export declare class TodoBillingComponent {
    private cdr;
    private todoBillingService;
    private configurationStore;
    protected prices: TodoBillingPrice[];
    protected set todo(todo: TodoDto);
    constructor(cdr: ChangeDetectorRef, todoBillingService: TodoBillingService, configurationStore: ConfigurationStore);
    static ɵfac: i0.ɵɵFactoryDeclaration<TodoBillingComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TodoBillingComponent, "smallstack-todo-billing", never, { "todo": { "alias": "todo"; "required": false; }; }, {}, never, never, false, never>;
}
